import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ProjectReportBorrowService {
  save (param) {
    return request({
      url: prefix + '/project/report/borrow/save',
      method: 'post',
      data: param
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/project/report/borrow/updateStatusById',
      method: 'post',
      data: param
    })
  }
  updateStatusByContractInfoId (param) {
    return request({
      url: prefix + '/project/report/borrow/updateStatusByContractInfoId',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/project/report/borrow/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByContractInfoId (id) {
    return request({
      url: prefix + '/project/report/borrow/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
  updateMessageStatusById (param) {
    return request({
      url: prefix + '/project/report/borrow/updateMessageStatusById',
      method: 'post',
      data: param
    })
  }
  deleteById (id) {
    return request({
      url: prefix + '/project/report/borrow/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
  findMessageList (id) {
    return request({
      url: prefix + '/project/report/borrow/findMessageList',
      method: 'get',
      params: {id: id}
    })
  }
}
